# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Device/SerialPort.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Text/LookUpTable.pm) perl(Time/HiRes.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Device-MegaSquirt
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Perl5 module for communicating with a MegaSquirt controller
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Device-Megasquirt/

Source0: http://cpan.org.ua/authors/id/J/JE/JERI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Device::MegaSquirt provides operations for communicating with a MegaSquirt controller
 [http://www.msextra.com].  Operations such as reading/writing tables,
reading live data, and writing configuration variables.

This part of the module (Device::MegaSquirt) is a template and version specific
modules (Device::MegaSquirt::*) implement the interface.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes doc
%perl_vendor_privlib/D*

%changelog
* Fri Sep 06 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

